Subject: UKTeX Digest V94 #05
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 04 Feb 1994 18:39:10 +0000

UKTeX Digest    Friday,  4 Feb 1994    Volume 94 : Issue 05

   ``The UKTeX Digest is brought to you as a free, unfunded and voluntary
        service of the UK TeX Users Group and the UK TeX Archive.''

Today's Topics:
 {Questions & Answers}:
                    Re: Previewing TeX/Postscript
                         Re: query re LaTeX2e
          Irritating problem with LPS20 postscript printer.
 {Announcements}:
            CTAN calling all LaTeX style writers!! Readme!
                               latex2e

Administrivia:
    Moderators:     Peter Abbott (Aston University) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Administration, subscription and unsubscription requests:
                    [email-masked]

----------------------------------------------------------------------

Date:    Fri, 28 Jan 1994 20:09:55 +0000
From:    [email-masked] (Sebastian Rahtz)
Subject: Re: Previewing TeX/Postscript

ZA9RA01 <[email-masked]> writes:
 
 > I am trying to preview the output from the "simple" LaTeX input file 
 > listed below using DVISCR7.
 > 
 > \documentstyle[nftimes]{article}
 > \fontencoding{T1}
 > \def\encodingdefault{T1}
 > \begin{document}
 > Hello World.........
 > \end{document}
 > 
 > I have EmTeX v3.141 [3c-beta8], NFSS2 and PSNFSS2. I also have all 
 > the lj_*.fli and ps_*.fli libraries and emtex knows the path to them.
 > The dvi file prints OK on a postscript printer using dvips v5.525.
 > 
 > The error message from dviscr7 is:
 > 
 >             ' TeX output 1994.01.24:1416'
 >             Loading font ptmrq scaled 1000
 > 
 >             Warning 1205: font ptmrq [ptmrq<300>] not found
 >             Enter new font name/size: 
 > 
 > I don't think the ptmrq font is in any of the ps_*.fli library files??
 
the ps*fli libraries are OT1 encoding, I am afraid, so that the file
is called rptmr. just change to OT1

in practice, why not just preview the PostScript with ghostview under
Windows

Sebastian Rahtz

------------------------------

Date:    Fri, 28 Jan 1994 20:09:55 +0000
From:    [email-masked] (Sebastian Rahtz)
Subject: Re: query re LaTeX2e

[email-masked] writes:
 
 > I need some help, I want to upgrade the VDM-SL macros to work under
 > LaTeX2e, this involves understanding NFSS2 -- is there an idiots
 > guide available? I have looked in the obvious places, generated
 > both the LaTeX2e and NFSS2 system, read the standard documentation,
 > but I am still non the wiser.

The best answer is `join the UK TeX Users Group'. they are holding a 2
day conference on LaTeX2e in March, where the authors will answer all
your questions. 

in practice, your VDM macros probably don't need much change. You very
likely use the same font setup as Object Z, so you may like to look
at  the oz files in
ftp.tex.ac.uk:/pub/archive/macros/latex2e/contrib/psnfss for an
example of NFSS2 maths font setups. I can answer questions about
details of that.

The `features.tex' of LaTex2e is really quite detailed, in the
meanwhile

Sebastian Rahtz

------------------------------

Date:    Wed, 02 Feb 1994 08:43:24 +0000
From:    [email-masked]
Subject: Irritating problem with LPS20 postscript printer.

I am using dvips on a UNIX system and then printing the output on an
LPS20 printer (which prints duplex).

I have a file which contains \framebox and \rule. When printed in
normal portrait everything is fine but if I use landscape the horizontal
lines disappear (the verticla ones are fine).

I created a postscript file and printed it first in landscape and then
commented out the line which said landscape. The problem persisted.

So I have the same code which produces different output according to the
page orientation.

If I use the A3 tray the lines appear in both portrait and landscape but the
position on the page is of course incorrect.

Does anyone know if this is a bug and is there a patch to cure it.

Peter

------------------------------

Date:    Fri, 28 Jan 1994 20:01:32 +0000
From:    [email-masked]
Subject: CTAN calling all LaTeX style writers!! Readme!

As I am sure most people know, a new version of LaTeX (LaTeX2e) is now
in beta test, and will be released on the world in the spring. It will
have a support policy of regular 6 monthly updates.

After consultation with the LaTeX2e project team, the CTAN sites have
decided to restructure the LaTeX area of the archives, to distinguish
clearly between material known to work with LaTeX2e, and untested or
imcompatible styles. We would also like to make it clear which
packages are actively supported and documented, and which are offered
`asis'. The final structure will therefore look like this:
 macros
    latex
       core           % supplied by LaTeX2e team
       contrib
            supported
            other
    latex209
       contrib

Until the spring, this will be reversed, so that macros/latex will be
2.09, and macros/latex2e will be the beta release.

Anything in latex/contrib/supported will be expected to conform to a
minimal standard of documentation and maintenance; material in
latex/contrib/other should have been tested with LaTex2e, but the
authors may not wish to promise support or documentation. It is
important to note that we are not making qualitative judgements -- we
will continue to hold whatever authors produce and place in the public
domain.

A short guide to documentation and maintenance will be available
shortly. Tel us if you want your name on a list to receive it.

The purpose of this note is to ask style authors to consider looking
again at their work, and checking that it works with LaTeX2e, maybe
updating it to use the new features if necessary. Let CTAN know
([email-masked]), and your packages can be moved to the
latex2e/contrib/suported tree, so that users will have a good choice
of material at the start.

If you haven't seen LaTeX2e, you can ftp it from ftp.tex.ac.uk,
ftp.shsu.edu or ftp.dante.edu, from /tex-archive/macros/latex2e/core.
You can get full details of the new features in `The LaTeX Companion'
(Goossens, Mittelbach and Samarin, Addison Wesley 1994)

Sebastian Rahtz

for CTAN archivists

------------------------------

Date:    Mon, 31 Jan 1994 08:27:09 +0000
From:    Malcolm Clark <[email-masked]>
Subject: latex2e

               *******************************
               *   LaTeX2e: The Conference   *
               *******************************
                        ************    
         Announcing the New Standard version of LaTeX 
         ********************************************

You've read the hype, you've ordered the book---
                  --- haven't you? ---
          ---now here's the chance to discover the real thing!

For authors, publishers, support persons, ..., everyone---
         ---two days to discover what LaTeX2e can do for you

All the New Features of LaTeX2e---
            The New Standard Version of LaTeX
                          ---Incorporating SliTeX and AMSLaTeX
                        ************    

  ***  how to install it

  ***  how to integrate your local styles

  ***  how to use scalable fonts
 
  ***  how to integrate graphics
 
  ***  how to process existing documents
 
  ***  how to use the new features
 
  ***  how to write extension packages

  Presentations by members of the LaTeX3 project team
  Featuring Frank Mittelbach, Johannes Braams, David Carlisle,
  Chris Rowley, Alan Jeffrey (at least)

***************************************************************
Booking Form

I wish to attend the UKTUG's LaTeX2e conference on March 21st--22nd:

Name: 
Organisation: 
Address: 

Telephone:                          
Email: 
Please specify any special dietary requirements: 
Specify any changes to standard 1-night accommodation[2]:
Indicate whether you require a copy of `The \LaTeX\ Companion'[3]:

   Payment enclosed[1,4,9]
or purchase order number[5]
  Signed:
    Date:

Notes
[1] Payment for the conference, all meals (including a conference dinner),
     refreshments and accommodation for the night of Monday, March 21st, 
     will be \pounds89 for members of  UKTUG (or other \TeX\ user groups)
     and \pounds120 for non-members. 
[2] Additional night's accommodation (bed and breakfast) can
     be included at a cost of \pounds20 per night.
     Indicate which additional nights you require
     (if any).  If you do not require accommodation for the night
     of Monday,  March 21st, deduct \pounds20 and note this.
[3] `The \LaTeX\ Companion', by  Goossens, Mittelbach  and Samarin,
     has recently been published by Addison Wesley. It is the main source of
     documentation about \LaTeX2e.  We hope to have this book
     available to delegates at a discount from its normal price of
     \pounds26.95. Please indicate whether you wish to take advantage of 
     this offer, which is available only to those attending 
     the conference.
[4] Sterling cheques should be made payable to `Warwick University'.
[5] A Purchase Order, with an order number, is an acceptable alternative 
     method of payment, but will attract a \pounds15 surcharge on the 
     amount due.
[6] If your cost is outside the range \pounds69--175, recalculate.
[7] Return the completed form to arrive by Tuesday March 1st, 1994.
     We cannot guarantee enrollment after that date. If you are unable to
     return the form by then, but are definitely coming, contact
     the local organiser by email, telephone, fax or mail to secure a place.
     For contact details, see below.
[8] If your requirements are not met by the options offered,
     contact the local organizer.
[9] Note that VAT is not chargeable.
[10] A proper LaTeX-able version of the booking form is available from
     the local organizer.

Meeting duration
Conference  registration  will commence at 1000 on  Monday 21st;
coffee  will be available from 1030; the sessions will start at 1115.
The sessions will end at 1700 on Tuesday 22nd.

Travel to Warwick University
There is an Inter-City rail service to Coventry, but from some
locations it may be easier to travel to Birmingham initially.

Journey                     depart  arrive 
Euston to Coventry           0810    0920 
                             0840    0950
                             0910    1025 
Manchester to Coventry       0718    0929
                             0818    1027 
Bristol (TM) to B'ham        0714    0854  Trains from Birmingham to Coventry 
                             0830    0954  are frequent and fast (journey time 
Newcastle to B'ham           0640    0951  of 20--30 minutes, departing 
York to B'ham                0742    0951  every 10 or 15 minutes).

There will be a shuttle bus service running between 1000 and 1030 for delegates
arriving at Coventry Railway Station. The shuttle bus will also be available 
on the 22nd to take delegates back to the station.

A taxi from the station to the University costs about \pounds4.
Alternatively, buses (notably the X10, X12, 12 and 12A) run from 
just outside the station to the University, taking about 15 minutes. 
It is a de-regulated service and as such impossible to guess the 
fare from day to day. It is usually about 50p. The 12 and 12A services  
are `correct fare only', but no-one (except the driver) knows what 
the correct fare is.

The University is easily accessible by car, and
may be reached from the M1, M40, M42, M45, M6 and M69.
There is ample parking for private vehicles on campus.

Birmingham airport is about 12 minutes from Coventry by
rail and is connected by a frequent and fast service.

Payment Address
Please return the completed booking form, together
with your payment, to arrive before Tuesday March 1st, 1994, to:

Malcolm Clark (lxii)
Computing Services         Tel: 0203 523365
University of Warwick      Fax: 0203 523267
Coventry CV4 7AL         Email: [email-masked] (Janet)
UK                              [email-masked] (Internet)

                                                       Enrol by March 1st, 1994

------------------------------
                                        
                       UK TeX ARCHIVE at ASTON UNIVERSITY
                              >>>  UK.AC.TEX  <<<
                                        
                  *** Interactive and file transfer access ***
                                     JANET:
                          uk.ac.tex (DTE 000020120091)
                       Username: public, Password: public
                                   Internet:
              tex.ac.uk [134.151.79.28] -- telnet/rlogin, anonymous ftp
             ftp.tex.ac.uk [134.151.79.32] -- anonymous ftp, gopher, NFS
               For telnet access, login: public, password: public
      For anonymous ftp, login: anonymous, password: <your-e-mail-address>
                                        
                              *** Mail server ***
                    Send mail to [email-masked] (JANET)
                   or [email-masked] (rest of the world)
                   with message body containing the word HELP
                                        
\section FILES OF INTEREST

    [tex-archive]00readme.txt
    [tex-archive]00index.files        [tex-archive]0000index.zip_vve
    [tex-archive]00last7days.files    [tex-archive]00last7days.zip_vve
    [tex-archive]00last30days.files   [tex-archive]00last30days.zip_vve

    [tex-archive.doc]TeX-FAQ.txt    (Frequently Asked Questions list)
    [tex-archive.doc]FAQ-Supplement-*.txt    (FAQ supplement)

\section DIGESTS

    This year's UKTeX back issues are stored in the archive in directory
      [tex-archive.digests.uktex.93]
    This year's TeXhax back issues are stored in the archive in directory
      [tex-archive.digests.texhax.93]
      Latest TeXhax: V94 #01

\section MEDIA DISTRIBUTIONS
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

       One Quarter-Inch Cartridge, QIC-120 or QIC-150 format (DC600A or DC6150)
       sent with envelope AND stamps for return postage to **Nottingham**
       (Due to currency exchange, this service is offered only within the UK)

\section TeX IMPLEMENTATIONS FOR SMALL COMPUTERS

\subsection OzTeX for Macintosh
    No longer distributed on disk from Aston, though it continues
    to be available in the Archive for network access.

    Available on disk from TeX Users Group; mail TUG for details.

\subsection emTeX (for OS/2, PC-DOS and MS-DOS)
    Distribution currently being arranged; see announcement in later
    issues of UKTeX.

    Also available on disk from TeX Users Group; mail TUG for details.

\subsection TeX for the Atari ST
    All enquiries for disks etc. should be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    JANET: [email-masked]   Internet: [email-masked]

\section POSTAGE RATES
    Quarter-inch cartridges:
            UK: 1.00,  Europe: 2.00.

\section POSTAL ADDRESSES
    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    Information Systems, Aston University, Aston Triangle, Birmingham B4 7ET
    JANET: [email-masked]   Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Quarter-inch cartridges ONLY -- must include stamps for return postage)
    JANET: [email-masked]
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX USERS GROUP
    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    JANET: [email-masked]
    Internet: [email-masked]

\bye

End of UKTeX Digest [Volume 94 Issue 5]
***************************************